Package org.bukkit.material

# Class WoodenStep

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Wood
org.bukkit.material.WoodenStep

All Implemented Interfaces:
  `Cloneable`

@Deprecated public class WoodenStep extends Wood
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents the different types of wooden steps.

See Also:
  - `Material.LEGACY_WOOD_STEP`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final boolean`
`DEFAULT_INVERTED`
Deprecated.
`protected static final Material`
`DEFAULT_TYPE`
Deprecated.

### Fields inherited from class org.bukkit.material.Wood

`DEFAULT_SPECIES`

## Constructor Summary

Constructors
Constructor
Description
`WoodenStep()`
Deprecated.
Constructs a wooden step.
`WoodenStep(Material type, byte data)`
Deprecated.
Magic value
`WoodenStep(TreeSpecies species)`
Deprecated.
Constructs a wooden step of the given tree species.
`WoodenStep(TreeSpecies species, boolean inv)`
Deprecated.
Constructs a wooden step of the given type and tree species, either inverted or not.

## Method Summary

Modifier and Type
Method
Description
`WoodenStep`
`clone()`
Deprecated.
`boolean`
`isInverted()`
Deprecated.
Test if step is inverted
`void`
`setInverted(boolean inv)`
Deprecated.
Set step inverted state
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.Wood

`getSpecies, setSpecies`

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_TYPE

protected static final Material DEFAULT_TYPE
Deprecated.

### DEFAULT_INVERTED

protected static final boolean DEFAULT_INVERTED
Deprecated.

See Also:
  - Constant Field Values

## Constructor Details

### WoodenStep

public WoodenStep()
Deprecated.
Constructs a wooden step.

### WoodenStep

public WoodenStep(TreeSpecies species)
Deprecated.
Constructs a wooden step of the given tree species.

Parameters:
  `species` - the species of the wooden step

### WoodenStep

public WoodenStep(TreeSpecies species, boolean inv)
Deprecated.
Constructs a wooden step of the given type and tree species, either inverted or not.

Parameters:
  `species` - the species of the wooden step
  `inv` - true the step is at the top of the block

### WoodenStep

@Deprecated public WoodenStep(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isInverted

public boolean isInverted()
Deprecated.
Test if step is inverted

Returns:
  true if inverted (top half), false if normal (bottom half)

### setInverted

public void setInverted(boolean inv)
Deprecated.
Set step inverted state

Parameters:
  `inv` - - true if step is inverted (top half), false if step is normal (bottom half)

### clone

public WoodenStep clone()
Deprecated.

Overrides:
  `clone` in class `Wood`

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `Wood`